KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataStyleMap Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataStyleSelector → Marble.GeoDataObject → Marble.GeoNode,QMap
Namespace: Marble

## Detailed Description

a class to map different styles to one style

A GeoDataStyleMap connects styles for highlighted and normal context. Besides GeoDataStyleSelector it derives from QMap<QString, QString>.

@See GeoDataStyle @See GeoDataStyleSelector

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataStyleMap a0)
QString | lastKey (self)
| pack (self, QDataStream stream)
| setLastKey (self, QString key)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataStyleMap | a0
| ) |  |  |

QString lastKey | ( |  | self ) |

return the last key

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the stylemap to a stream

Parameters:

  |  | stream the stream

setLastKey | ( | self, |
|  | QString | key
| ) |  |  |

Set the last key this property is needed to set an entry in the kml parser after the parser has set the last key, it will read the value and add both to this map

Parameters:

  | key | the last key

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the stylemap from a stream

Parameters:

  |  | stream the stream